Skip to content

GET /api/debug/keyget/

Current state of the physical front-panel buttons.

Auth: Bearer (powerUser).

States are read directly from the hardware inputs. Virtual events submitted through POST /api/debug/keypress/ do not affect the response.


{
"up": false,
"down": false,
"menu": true,
"set": false,
"test": false
}
FieldTypeDescription
upbooleanUp button is pressed
downbooleanDown button is pressed
menubooleanMenu button is pressed
setbooleanSet button is pressed
testbooleanTest button is pressed